## WebKitDOMElement WebKitDOMElement |

## Functions

gchar * | webkit_dom_element_get_attribute ()
void | webkit_dom_element_set_attribute ()
void | webkit_dom_element_remove_attribute ()
WebKitDOMAttr * | webkit_dom_element_get_attribute_node ()
WebKitDOMAttr * | webkit_dom_element_set_attribute_node ()
WebKitDOMAttr * | webkit_dom_element_remove_attribute_node ()
WebKitDOMNodeList * | webkit_dom_element_get_elements_by_tag_name ()
gboolean | webkit_dom_element_has_attributes ()
gchar * | webkit_dom_element_get_attribute_ns ()
void | webkit_dom_element_set_attribute_ns ()
void | webkit_dom_element_remove_attribute_ns ()
WebKitDOMNodeList * | webkit_dom_element_get_elements_by_tag_name_ns ()
WebKitDOMAttr * | webkit_dom_element_get_attribute_node_ns ()
WebKitDOMAttr * | webkit_dom_element_set_attribute_node_ns ()
gboolean | webkit_dom_element_has_attribute ()
gboolean | webkit_dom_element_has_attribute_ns ()
void | webkit_dom_element_focus ()
void | webkit_dom_element_blur ()
void | webkit_dom_element_scroll_into_view ()
void | webkit_dom_element_scroll_into_view_if_needed ()
void | webkit_dom_element_scroll_by_lines ()
void | webkit_dom_element_scroll_by_pages ()
WebKitDOMNodeList * | webkit_dom_element_get_elements_by_class_name ()
WebKitDOMElement * | webkit_dom_element_query_selector ()
WebKitDOMNodeList * | webkit_dom_element_query_selector_all ()
gboolean | webkit_dom_element_webkit_matches_selector ()
void | webkit_dom_element_webkit_request_full_screen ()
void | webkit_dom_element_webkit_request_fullscreen ()
void | webkit_dom_element_webkit_request_pointer_lock ()
void | webkit_dom_element_remove ()
gchar * | webkit_dom_element_get_tag_name ()
WebKitDOMNamedNodeMap * | webkit_dom_element_get_attributes ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_element_get_style ()
gchar * | webkit_dom_element_get_id ()
void | webkit_dom_element_set_id ()
glong | webkit_dom_element_get_offset_left ()
glong | webkit_dom_element_get_offset_top ()
glong | webkit_dom_element_get_offset_width ()
glong | webkit_dom_element_get_offset_height ()
WebKitDOMElement * | webkit_dom_element_get_offset_parent ()
glong | webkit_dom_element_get_client_left ()
glong | webkit_dom_element_get_client_top ()
glong | webkit_dom_element_get_client_width ()
glong | webkit_dom_element_get_client_height ()
glong | webkit_dom_element_get_scroll_left ()
void | webkit_dom_element_set_scroll_left ()
glong | webkit_dom_element_get_scroll_top ()
void | webkit_dom_element_set_scroll_top ()
glong | webkit_dom_element_get_scroll_width ()
glong | webkit_dom_element_get_scroll_height ()
gchar * | webkit_dom_element_get_class_name ()
void | webkit_dom_element_set_class_name ()
WebKitDOMDOMTokenList * | webkit_dom_element_get_class_list ()
WebKitDOMElement * | webkit_dom_element_get_first_element_child ()
WebKitDOMElement * | webkit_dom_element_get_last_element_child ()
WebKitDOMElement * | webkit_dom_element_get_previous_element_sibling ()
WebKitDOMElement * | webkit_dom_element_get_next_element_sibling ()
gulong | webkit_dom_element_get_child_element_count ()
gchar * | webkit_dom_element_get_webkit_region_overset ()
gchar * | webkit_dom_element_get_webkit_region_overflow ()

## Properties

WebKitDOMNamedNodeMap * | attributes | Read
gulong | child-element-count | Read
WebKitDOMDOMTokenList * | class-list | Read
gchar * | class-name | Read / Write
glong | client-height | Read
glong | client-left | Read
glong | client-top | Read
glong | client-width | Read
WebKitDOMElement * | first-element-child | Read
gchar * | id | Read / Write
WebKitDOMElement * | last-element-child | Read
WebKitDOMElement * | next-element-sibling | Read
glong | offset-height | Read
glong | offset-left | Read
WebKitDOMElement * | offset-parent | Read
glong | offset-top | Read
glong | offset-width | Read
WebKitDOMElement * | previous-element-sibling | Read
glong | scroll-height | Read
glong | scroll-left | Read / Write
glong | scroll-top | Read / Write
glong | scroll-width | Read
WebKitDOMCSSStyleDeclaration * | style | Read
gchar * | tag-name | Read
gchar * | webkit-region-overset | Read

## Types and Values

| WebKitDOMElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement

## Implemented Interfaces

WebKitDOMElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_element_get_attribute ()

    gchar *
    webkit_dom_element_get_attribute (WebKitDOMElement *self,
                                      const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

#### Returns

A gchar

### webkit_dom_element_set_attribute ()

    void
    webkit_dom_element_set_attribute (WebKitDOMElement *self,
                                      const gchar *name,
                                      const gchar *value,
                                      GError **error);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |
value | A gchar |
error | GError |

### webkit_dom_element_remove_attribute ()

    void
    webkit_dom_element_remove_attribute (WebKitDOMElement *self,
                                         const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

### webkit_dom_element_get_attribute_node ()

    WebKitDOMAttr *
    webkit_dom_element_get_attribute_node (WebKitDOMElement *self,
                                           const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_element_set_attribute_node ()

    WebKitDOMAttr *
    webkit_dom_element_set_attribute_node (WebKitDOMElement *self,
                                           WebKitDOMAttr *newAttr,
                                           GError **error);

#### Parameters

self | A WebKitDOMElement |
newAttr | A WebKitDOMAttr |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_element_remove_attribute_node ()

    WebKitDOMAttr *
    webkit_dom_element_remove_attribute_node
                                   (WebKitDOMElement *self,
                                    WebKitDOMAttr *oldAttr,
                                    GError **error);

#### Parameters

self | A WebKitDOMElement |
oldAttr | A WebKitDOMAttr |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_element_get_elements_by_tag_name ()

    WebKitDOMNodeList *
    webkit_dom_element_get_elements_by_tag_name
                                   (WebKitDOMElement *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_element_has_attributes ()

    gboolean
    webkit_dom_element_has_attributes (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gboolean

### webkit_dom_element_get_attribute_ns ()

    gchar *
    webkit_dom_element_get_attribute_ns (WebKitDOMElement *self,
                                         const gchar *namespaceURI,
                                         const gchar *localName);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A gchar

### webkit_dom_element_set_attribute_ns ()

    void
    webkit_dom_element_set_attribute_ns (WebKitDOMElement *self,
                                         const gchar *namespaceURI,
                                         const gchar *qualifiedName,
                                         const gchar *value,
                                         GError **error);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
value | A gchar |
error | GError |

### webkit_dom_element_remove_attribute_ns ()

    void
    webkit_dom_element_remove_attribute_ns
                                   (WebKitDOMElement *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar |
localName | A gchar |

### webkit_dom_element_get_elements_by_tag_name_ns ()

    WebKitDOMNodeList *
    webkit_dom_element_get_elements_by_tag_name_ns
                                   (WebKitDOMElement *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_element_get_attribute_node_ns ()

    WebKitDOMAttr *
    webkit_dom_element_get_attribute_node_ns
                                   (WebKitDOMElement *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_element_set_attribute_node_ns ()

    WebKitDOMAttr *
    webkit_dom_element_set_attribute_node_ns
                                   (WebKitDOMElement *self,
                                    WebKitDOMAttr *newAttr,
                                    GError **error);

#### Parameters

self | A WebKitDOMElement |
newAttr | A WebKitDOMAttr |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_element_has_attribute ()

    gboolean
    webkit_dom_element_has_attribute (WebKitDOMElement *self,
                                      const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

#### Returns

A gboolean

### webkit_dom_element_has_attribute_ns ()

    gboolean
    webkit_dom_element_has_attribute_ns (WebKitDOMElement *self,
                                         const gchar *namespaceURI,
                                         const gchar *localName);

#### Parameters

self | A WebKitDOMElement |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A gboolean

### webkit_dom_element_focus ()

    void
    webkit_dom_element_focus (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

### webkit_dom_element_blur ()

    void
    webkit_dom_element_blur (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

### webkit_dom_element_scroll_into_view ()

    void
    webkit_dom_element_scroll_into_view (WebKitDOMElement *self,
                                         gboolean alignWithTop);

#### Parameters

self | A WebKitDOMElement |
alignWithTop | A gboolean |

### webkit_dom_element_scroll_into_view_if_needed ()

    void
    webkit_dom_element_scroll_into_view_if_needed
                                   (WebKitDOMElement *self,
                                    gboolean centerIfNeeded);

#### Parameters

self | A WebKitDOMElement |
centerIfNeeded | A gboolean |

### webkit_dom_element_scroll_by_lines ()

    void
    webkit_dom_element_scroll_by_lines (WebKitDOMElement *self,
                                        glong lines);

#### Parameters

self | A WebKitDOMElement |
lines | A glong |

### webkit_dom_element_scroll_by_pages ()

    void
    webkit_dom_element_scroll_by_pages (WebKitDOMElement *self,
                                        glong pages);

#### Parameters

self | A WebKitDOMElement |
pages | A glong |

### webkit_dom_element_get_elements_by_class_name ()

    WebKitDOMNodeList *
    webkit_dom_element_get_elements_by_class_name
                                   (WebKitDOMElement *self,
                                    const gchar *name);

#### Parameters

self | A WebKitDOMElement |
name | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_element_query_selector ()

    WebKitDOMElement *
    webkit_dom_element_query_selector (WebKitDOMElement *self,
                                       const gchar *selectors,
                                       GError **error);

#### Parameters

self | A WebKitDOMElement |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_query_selector_all ()

    WebKitDOMNodeList *
    webkit_dom_element_query_selector_all (WebKitDOMElement *self,
                                           const gchar *selectors,
                                           GError **error);

#### Parameters

self | A WebKitDOMElement |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_element_webkit_matches_selector ()

    gboolean
    webkit_dom_element_webkit_matches_selector
                                   (WebKitDOMElement *self,
                                    const gchar *selectors,
                                    GError **error);

#### Parameters

self | A WebKitDOMElement |
selectors | A gchar |
error | GError |

#### Returns

A gboolean

### webkit_dom_element_webkit_request_full_screen ()

    void
    webkit_dom_element_webkit_request_full_screen
                                   (WebKitDOMElement *self,
                                    gushort flags);

#### Parameters

self | A WebKitDOMElement |
flags | A gushort |

### webkit_dom_element_webkit_request_fullscreen ()

    void
    webkit_dom_element_webkit_request_fullscreen
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

### webkit_dom_element_webkit_request_pointer_lock ()

    void
    webkit_dom_element_webkit_request_pointer_lock
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

### webkit_dom_element_remove ()

    void
    webkit_dom_element_remove (WebKitDOMElement *self,
                               GError **error);

#### Parameters

self | A WebKitDOMElement |
error | GError |

### webkit_dom_element_get_tag_name ()

    gchar *
    webkit_dom_element_get_tag_name (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gchar

### webkit_dom_element_get_attributes ()

    WebKitDOMNamedNodeMap *
    webkit_dom_element_get_attributes (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMNamedNodeMap.

[transfer none]

### webkit_dom_element_get_style ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_element_get_style (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer none]

### webkit_dom_element_get_id ()

    gchar *
    webkit_dom_element_get_id (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gchar

### webkit_dom_element_set_id ()

    void
    webkit_dom_element_set_id (WebKitDOMElement *self,
                               const gchar *value);

#### Parameters

self | A WebKitDOMElement |
value | A gchar |

### webkit_dom_element_get_offset_left ()

    glong
    webkit_dom_element_get_offset_left (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_offset_top ()

    glong
    webkit_dom_element_get_offset_top (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_offset_width ()

    glong
    webkit_dom_element_get_offset_width (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_offset_height ()

    glong
    webkit_dom_element_get_offset_height (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_offset_parent ()

    WebKitDOMElement *
    webkit_dom_element_get_offset_parent (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_get_client_left ()

    glong
    webkit_dom_element_get_client_left (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_client_top ()

    glong
    webkit_dom_element_get_client_top (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_client_width ()

    glong
    webkit_dom_element_get_client_width (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_client_height ()

    glong
    webkit_dom_element_get_client_height (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_scroll_left ()

    glong
    webkit_dom_element_get_scroll_left (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_set_scroll_left ()

    void
    webkit_dom_element_set_scroll_left (WebKitDOMElement *self,
                                        glong value);

#### Parameters

self | A WebKitDOMElement |
value | A glong |

### webkit_dom_element_get_scroll_top ()

    glong
    webkit_dom_element_get_scroll_top (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_set_scroll_top ()

    void
    webkit_dom_element_set_scroll_top (WebKitDOMElement *self,
                                       glong value);

#### Parameters

self | A WebKitDOMElement |
value | A glong |

### webkit_dom_element_get_scroll_width ()

    glong
    webkit_dom_element_get_scroll_width (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_scroll_height ()

    glong
    webkit_dom_element_get_scroll_height (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A glong

### webkit_dom_element_get_class_name ()

    gchar *
    webkit_dom_element_get_class_name (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gchar

### webkit_dom_element_set_class_name ()

    void
    webkit_dom_element_set_class_name (WebKitDOMElement *self,
                                       const gchar *value);

#### Parameters

self | A WebKitDOMElement |
value | A gchar |

### webkit_dom_element_get_class_list ()

    WebKitDOMDOMTokenList *
    webkit_dom_element_get_class_list (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMDOMTokenList.

[transfer none]

### webkit_dom_element_get_first_element_child ()

    WebKitDOMElement *
    webkit_dom_element_get_first_element_child
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_get_last_element_child ()

    WebKitDOMElement *
    webkit_dom_element_get_last_element_child
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_get_previous_element_sibling ()

    WebKitDOMElement *
    webkit_dom_element_get_previous_element_sibling
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_get_next_element_sibling ()

    WebKitDOMElement *
    webkit_dom_element_get_next_element_sibling
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_element_get_child_element_count ()

    gulong
    webkit_dom_element_get_child_element_count
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gulong

### webkit_dom_element_get_webkit_region_overset ()

    gchar *
    webkit_dom_element_get_webkit_region_overset
                                   (WebKitDOMElement *self);

#### Parameters

self | A WebKitDOMElement |

#### Returns

A gchar

### webkit_dom_element_get_webkit_region_overflow ()

    gchar *
    webkit_dom_element_get_webkit_region_overflow
                                   (WebKitDOMElement *element);

`webkit_dom_element_get_webkit_region_overflow` is deprecated and should not be used in newly-written code.

#### Returns

## Types and Values

### WebKitDOMElement

    typedef struct _WebKitDOMElement WebKitDOMElement;

## Property Details

### The `“attributes”` property

      “attributes”               WebKitDOMNamedNodeMap *

read-only WebKitDOMNamedNodeMap* Element:attributes.

Flags: Read

### The `“child-element-count”` property

      “child-element-count”      gulong

read-only gulong Element:child-element-count.

Flags: Read

### The `“class-list”` property

      “class-list”               WebKitDOMDOMTokenList *

read-only WebKitDOMDOMTokenList* Element:class-list.

Flags: Read

### The `“class-name”` property

      “class-name”               gchar *

read-write gchar* Element:class-name.

Flags: Read / Write

Default value: ""

### The `“client-height”` property

      “client-height”            glong

read-only glong Element:client-height.

Flags: Read

Default value: 0

### The `“client-left”` property

      “client-left”              glong

read-only glong Element:client-left.

Flags: Read

Default value: 0

### The `“client-top”` property

      “client-top”               glong

read-only glong Element:client-top.

Flags: Read

Default value: 0

### The `“client-width”` property

      “client-width”             glong

read-only glong Element:client-width.

Flags: Read

Default value: 0

### The `“first-element-child”` property

      “first-element-child”      WebKitDOMElement *

read-only WebKitDOMElement* Element:first-element-child.

Flags: Read

### The `“id”` property

      “id”                       gchar *

read-write gchar* Element:id.

Flags: Read / Write

Default value: ""

### The `“last-element-child”` property

      “last-element-child”       WebKitDOMElement *

read-only WebKitDOMElement* Element:last-element-child.

Flags: Read

### The `“next-element-sibling”` property

      “next-element-sibling”     WebKitDOMElement *

read-only WebKitDOMElement* Element:next-element-sibling.

Flags: Read

### The `“offset-height”` property

      “offset-height”            glong

read-only glong Element:offset-height.

Flags: Read

Default value: 0

### The `“offset-left”` property

      “offset-left”              glong

read-only glong Element:offset-left.

Flags: Read

Default value: 0

### The `“offset-parent”` property

      “offset-parent”            WebKitDOMElement *

read-only WebKitDOMElement* Element:offset-parent.

Flags: Read

### The `“offset-top”` property

      “offset-top”               glong

read-only glong Element:offset-top.

Flags: Read

Default value: 0

### The `“offset-width”` property

      “offset-width”             glong

read-only glong Element:offset-width.

Flags: Read

Default value: 0

### The `“previous-element-sibling”` property

      “previous-element-sibling” WebKitDOMElement *

read-only WebKitDOMElement* Element:previous-element-sibling.

Flags: Read

### The `“scroll-height”` property

      “scroll-height”            glong

read-only glong Element:scroll-height.

Flags: Read

Default value: 0

### The `“scroll-left”` property

      “scroll-left”              glong

read-write glong Element:scroll-left.

Flags: Read / Write

Default value: 0

### The `“scroll-top”` property

      “scroll-top”               glong

read-write glong Element:scroll-top.

Flags: Read / Write

Default value: 0

### The `“scroll-width”` property

      “scroll-width”             glong

read-only glong Element:scroll-width.

Flags: Read

Default value: 0

### The `“style”` property

      “style”                    WebKitDOMCSSStyleDeclaration *

read-only WebKitDOMCSSStyleDeclaration* Element:style.

Flags: Read

### The `“tag-name”` property

      “tag-name”                 gchar *

read-only gchar* Element:tag-name.

Flags: Read

Default value: ""

### The `“webkit-region-overset”` property

      “webkit-region-overset”    gchar *

read-only gchar* Element:webkit-region-overset.

Flags: Read

Default value: ""